* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: lightgray;
}

#calculator-container {
    display: flex;
    flex-direction: column;
    align-self: center;
    align-items: stretch;
    height: 95vh;
    flex: auto;
    margin: 10px;
    outline: 5px solid #171717;
    box-shadow: 10px 5px 5px #171717;
    
}

#header {
    text-align: center;
    background-color: #171717;
    color: lightgrey;
    padding: 10px;
    font-family: 'Orbitron', sans-serif;
}


#calculator {
    box-sizing: border-box;
    display: flex;
    flex-wrap: wrap;
    align-items: stretch;
    height: 95vh;
    width: 400px;
    
}

#calculator * {
    font-size: 24px;
}
/*#00008B*/
.operator {
    background-color: #C5FFF8;
    color: black;
    font-family: 'Fira Code', monospace;
}

.digits {
    background-color: #FBECB2;
    color: black;
    font-family: 'Fira Code', monospace;
}

.equals {
    background-color: #DCFFB7;
    color: black;
    font-family: 'Fira Code', monospace;
}

#display {
    text-align: right;
    overflow: hidden;
    white-space: nowrap;
    font-family: 'Lato', sans-serif;
    background-color: lightgray;
    font-size: 36px;
    padding: 5px;
}

#backspace-button {
    background-color: #FFA8A8;
    color: black;
    font-family: 'Fira Code', monospace;
}

#clear-button {
    background-color: #FFA8A8;
    color: black;
    font-family: 'Fira Code', monospace;
}

#footer {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: stretch;
    padding: 10px;
    background-color: #171717;
    color: lightgrey;
    font-family: 'Xanh Mono', monospace;
}

a {
    color: lightgray;
}

